Bug 68613 - Web Inspector: split DOM.attributesUpdated into attributeModified and attributeRemoved. Send attribute name and value within the event.
Summary: Web Inspector: split DOM.attributesUpdated into attributeModified and attribu...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Feldman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-22 05:39 PDT by Pavel Feldman
Modified: 2011-09-27 07:12 PDT (History)
10 users (show)

See Also:


Attachments
Patch (18.80 KB, patch)
2011-09-26 09:32 PDT, Pavel Feldman
no flags Details | Formatted Diff | Diff
[Patch] separated attrRemoved event on the front-end as well. (28.46 KB, patch)
2011-09-27 06:58 PDT, Pavel Feldman
yurys: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Feldman 2011-09-22 05:39:48 PDT
This change also splits attributeModified and attributeRemoved notifications.
Comment 1 Pavel Feldman 2011-09-26 09:32:24 PDT
Created attachment 108677 [details]
Patch
Comment 2 Yury Semikhatsky 2011-09-27 04:51:37 PDT
Comment on attachment 108677 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=108677&action=review

> Source/WebCore/inspector/Inspector.draft-01.json:1182
> +                    { "name": "name", "type": "string", "description": "Local attirbute name." },

typo: attirbute -> attribute, I'd also change it to Attribute's local name.

> Source/WebCore/inspector/Inspector.draft-01.json:1183
> +                    { "name": "value", "type": "string", "description": "Attirbute name." }

Attirbute name. -> New attribute value.

> Source/WebCore/inspector/Inspector.json:1183
> +                    { "name": "value", "type": "string", "description": "Attirbute name." }

Same typos here.

> Source/WebCore/inspector/front-end/StylesSidebarPane.js:1681
> +        this._parentPane._userOperation = true;

This lines don't seem to be a part of this change, remove them.
Comment 3 Pavel Feldman 2011-09-27 06:58:14 PDT
Created attachment 108842 [details]
[Patch] separated attrRemoved event on the front-end as well.
Comment 4 Yury Semikhatsky 2011-09-27 07:07:33 PDT
Comment on attachment 108842 [details]
[Patch] separated attrRemoved event on the front-end as well.

View in context: https://bugs.webkit.org/attachment.cgi?id=108842&action=review

> LayoutTests/inspector/elements/mutate-unknown-node.html-disabled:31
> +        node = event.data.node || event.data;

Please use two separate listeners instead.

> Source/WebCore/inspector/front-end/StylesSidebarPane.js:287
> +        // Chanding style attribute will anyways generate _styleInvalidated message. 

Changing

> Source/WebCore/inspector/front-end/StylesSidebarPane.js:291
> +        // "classname" attribute might have changed. Update styles unless they are being edited.

classname -> class
Comment 5 Pavel Feldman 2011-09-27 07:12:16 PDT
Committed r96106: <http://trac.webkit.org/changeset/96106>